%define __libtoolize /bin/true
%define name cantus
%define sname %{name}_3
%define version 3.0.0
%define release 4mdk
%define Summary A GUI tool to rename and tag mp3 and ogg/vorbis files

Summary: %{Summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL 
URL:    http://www.debain.org/?project=3 
Group: Sound
Source0: %{sname}-%{version}-1.tar.bz2
Source1: %{name}-48x48.png
Source2:      %{name}-32x32.png
Source3:      %{name}-16x16.png 
Patch0:        cantus_3-3.0.0-1-build_sh.patch.bz2
BuildRoot: %{_tmppath}/%{sname}-%{version}-%{release}-buildroot 
BuildRequires: libvorbis-devel 
BuildRequires: libglademm-devel 
BuildRequires: intltool
Obsoletes:      cantus-2
Provides:        cantus-2
 
%description
Cantus is a program for renaming and tagging mp3 files.
 
Features:

o Defining flexible filename filters for mass renaming.
o Mass tagging of mp3, ogg and flac files.
o Generation of a tag out of the filename or directory name.
o Renaming of files through FreeDB (no CD needed!)
o A nice GUI for GNOME using the GTK2.
o Multiple language support
o A lot more!

%prep
%setup -q -n %sname-%version-1
%patch0 -p1 -b  .build_sh

%build
./build.sh --prefix %{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
./build.sh --prefix $RPM_BUILD_ROOT%{_prefix} --install 

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="Cantus"\
longtitle="%{Summary}"\
command="%{sname}"\
startup_notify="true" \
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}} 
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{sname}
 
%post
%{update_menus}

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{sname}.lang
%defattr(-, root, root)
%doc AUTHORS CHANGELOG COPYING INSTALL README TODO  
%{_bindir}/%{sname}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_prefix}/lib/%{sname}
%{_datadir}/gnome/*

%changelog
* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 3.0.0-4mdk
- fix paths for x86_64

* Tue Jun 15 2004 Charles A Edwards <eslrahc@mandrake.org> 3.0.0-3mdk
- rebuild

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.0.0-2mdk
- spec fixes
- fix buildrequires

* Wed Apr 28 2004 Charles A Edwards <eslrahc@mandrake.org> 3.0.0-1mdk
- 3.0.0-1
- patch0
- buildrequires
- add obsoletes/provides
- merge with cantus-2 spec and adapt for usage of build.sh
- update URL

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.07-1mdk
- new version

* Wed Apr 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.06-3mdk
- adapt description (Olivier Blin)

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.06-2mdk
- fix distriblint warning

* Wed Apr  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.06-1mdk
- new version

* Thu Feb 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.05-1mdk
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.04-2mdk
- rebuild

* Sun Dec  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.04-1mdk
- add missing files, remove unneeded ones
- new version

* Fri Oct 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.03-0.pre1.1mdk
- add a provides for the old name to please rpmlint
- update from Charles A Edwards <eslrahc@bellsouth.net>
 - name change
 - 1.03.1
 - URL
 - added obsolete for gmp3 {old name)

* Thu Sep 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre4.1mdk
- initial package based on spec from Charles A Edwards <eslrahc@bellsouth.net>
- adapt buildrequires, version scheme

* Wed Sep 11 2002 Charles A Edwards <eslrahc@bellsouth.net>  
- First Mandrake package
- Modified oher spec
- Use autoconf-2.5
- Add Mandrake menu entries
- Add Icons
